<?xml version="1.0" encoding="UTF-8"?>
<!--Copyright (C) 2004-2015 InsBud www.insbud.net-->

<Device xmlns="http://www.insbud.net/common/devcfg" 
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.insbud.net/common/devcfg devcfg.xsd"
        Version="1.2"
        HardwareId="1015" 
        FirmwareId="1" 
        FirmwareVersion="0">

    <!-- 
        plik konfiguracyjny rekuperatora BRINK Flair wyposażony w płytę sterującą UWA2-B/UWA2-E

        dla aplikacji ibvunit-2.0

        niniejszy plik konfiguracyjny został opracowany na podstawie dokumentacji rejestrów dostarczonej przez
        producenta.

        fabryczne parametry komunikacji: 19200/8-E-1 ID20

        Zmiana ustawień komunikacji z poziomu sterownika rekuperatora.

    -->
        
  <HoldingRegisters SetMode="Single">
  <!-- <HoldingRegisters> -->

    <!--
        Flow preset 0

        Minimum flow setting
        Maximum flow setting
        Default flow setting
        Step size: 5
        Extra value: 0
        Type: unsigned
        (Flow setting depends on type of HRA)

        Extra rules:
        Flow preset 0 <= Flow preset 1
        Extra value: 0
    -->
    <HReg Addr="6000" Name="Flow.preset.0" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Flow preset 1
        
        Minimum flow setting
        Maximum flow setting
        Default flow setting
        Step size: 5
        Extra value: 0
        Type: unsigned
        (Flow setting depends on type of HRA)
        
        Extra rules:
        Flow preset 1 >= Flow preset 0
        Flow preset 1 <= Flow preset 2
    -->
    <HReg Addr="6001" Name="Flow.preset.1" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Flow preset 2
        
        Minimum flow setting
        Maximum flow setting
        Default flow setting
        Step size: 150
        Extra value: 0
        Type: unsigned
        (Flow setting depends on type of HRA)
        
        Extra rules:
        Flow preset 2 >= Flow preset 1
        Flow preset 2 <= Flow preset 3
    -->
    <HReg Addr="6002" Name="Flow.preset.2" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Flow preset 3
        
        Minimum flo settingw
        Maximum flow setting
        Default flow setting
        Step size: 5
        Extra value: 0
        Type: unsigned
        (Flow setting depends on type of HRA)
        
        Extra rules:
        Flow preset 3 >= Flow preset 2
    -->
    <HReg Addr="6003" Name="Flow.preset.3" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM inlet preset 0
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Extra value: 0
        Type: unsigned
        
        Extra rules:
        PWM Inlet preset 0 < = PWM Inlet preset 1
    -->
    <HReg Addr="6010" Name="PWM.inlet.preset.0" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM exhaust preset 0
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Extra value: 0
        Type: unsigned
        
        Extra rules:
        PWM Exhaust preset 0 < = PWM Exhaust preset 1
    -->
    <HReg Addr="6011" Name="PWM.exhaust.preset.0" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM inlet preset 1
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Inlet preset 1 > = PWM Inlet preset 0
        PWM Inlet preset 1 < = PWM Inlet preset 2
    -->
    <HReg Addr="6012" Name="PWM.inlet.preset.1" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM exhaust preset 1
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Exhaust preset 1 > = PWM Exhaust preset 0
        PWM Exhaust preset 1 < = PWM Exhaust preset 2
    -->
    <HReg Addr="6013" Name="PWM.exhaust.preset.1" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM inlet preset 2
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Inlet preset 2 >= PWM Inlet preset 1
        PWM Inlet preset 2 <= PWM Inlet preset 3
    -->
    <HReg Addr="6014" Name="PWM.inlet.preset.2" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM exhaust preset 2
        PWM inlet preset 2
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Exhaust preset 2 >= PWM Exhaust preset 1
        PWM Exhaust preset 2 <= PWM Exhaust preset 3
    -->
    <HReg Addr="6015" Name="PWM.exhaust.preset.2" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM inlet preset 3
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Inlet preset 3 >= PWM Inlet preset 2
    -->
    <HReg Addr="6016" Name="PWM.inlet.preset.3" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        PWM exhaust preset 3
        
        Minimum: 15
        Maximum: 100
        Step size: 1
        Type: unsigned
        
        Extra rules:
        PWM Exhaust preset 3 >= PWM Exhaust preset 2
    -->
    <HReg Addr="6017" Name="PWM.exhaust.preset.3" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Flow type
        
        0: Constant PWM
        1: Constant flow
        2: Constant massFlow
        
        Default: 1
    -->
    <HReg Addr="6030" Name="Flow.type" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Switch default position
        
        Minimum: 0
        Maximum: 1
        Default: 1
        Step size: 1
        Type: unsigned
        
        This defines the default position of the 4-position switch.
        This will be the position set if no switch is connected.
        
    -->
    <HReg Addr="6031" Name="Switch.default.position" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Use display as switch
        
        0: No
        1: Yes
        Default: No
    -->
    <HReg Addr="6032" Name="Use.display.as.switch" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Imbalans allowed
        
        0: Imbalance not permitted
        1: Imbalance permitted
        Type: unsigned
    -->
    <HReg Addr="6033" Name="Imbalans.allowed" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Imbalance value
        
        Minimum: 0
        Maximum: 20
        Default: 0
        Step size: 1
        Type: unsigned
        
        The imbalance value is a percentage for the inlet to increase the flow in respect to the exhaust.
    -->
    <HReg Addr="6034" Name="Imbalance.value" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Offset imbalance supply
        
        Minimum: -15
        Maximum: 15
        Default: 0
        Step size: 1
        Type: signed
        
        Value is in percentages; 0% means that no correction has been applied
    -->
    <HReg Addr="6035" Name="Offset.imbalance.supply" Rd="1" Wr="1" Min="-150" Max="150" Presentation="signed"/>

    <!--
        Offset imbalance exhaust
        
        Minimum: -15
        Maximum: 15
        Default: 0
        Step size: 1
        Type: signed
        
        Value is in percentages; 0% means that no correction has been applied
    -->
    <HReg Addr="6036" Name="Offset.imbalance.exhaust" Rd="1" Wr="1" Min="-150" Max="150" Presentation="signed"/>

    <!--
        Bypass mode
        
        0: Automatic function
        1: Bypass closed
        2: Bypass open
        
        Default: 0
    -->
    <HReg Addr="6100" Name="Bypass.mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Bypass temperature from dwelling
        
        Minimum: 150
        Maximum: 350
        Step size: 5
        Default: 220
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 15.0 - 35.0 °C
    -->
    <HReg Addr="6101" Name="Bypass.temperature.from.dwelling" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Bypass temperature from outside
        
        Minimum: 70
        Maximum: 150
        Step size: 5
        Default: 100
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 7.0 - 15.0 °C
    -->
    <HReg Addr="6102" Name="Bypass.temperature.from.outside" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Bypass temperature hysteresis
        
        Range: [0..50]
        Default: 20
        Step size: 5
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 0.0 - 5.0 °C
    -->
    <HReg Addr="6103" Name="Bypass.temperature.hysteresis" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Bypass boost
        
        0: Off
        1: On
        
        Default: 0
    -->
    <HReg Addr="6104" Name="Bypass.boost" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Bypass boost switch position
        
        Range: [0..3]
        Default: 3
        Step size: 1
        Type: unsigned
        
        If the bypass boost function is activated, the bypass opens and the fan will run at this preset setting.
    -->
    <HReg Addr="6105" Name="Bypass.boost.switch.position" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Frost control temperature
        
        Range: [0..30]
        Default: 0
        Step size: 5
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 0.0 - 3.0 °C
    -->
    <HReg Addr="6110" Name="Frost.control.temperature" Rd="1" Wr="1" Min="-30" Max="30" Presentation="signed"/>

    <!--
        Frost control minimum inlet temperature
        
        Range: [70..220]
        Default: 170
        Stepsize: 5
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 7.0 - 22.0 °C
    -->
    <HReg Addr="6111" Name="Frost.control.minimum.inlet.temperature" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Days before filter warning
        
        Range: [1..365]
        Default: 90
        Step size: 1
        Type: unsigned
    -->
    <HReg Addr="6120" Name="Days.before.filter.warning" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        External heater mode
        
        0: Not available
        1: Pre-heater
        2: Post-heater
        
        Default: 0
    -->
    <HReg Addr="6130" Name="External.heater.mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Postheater setpoint
        
        Range: [150..300]
        Default: 210
        Step size: 5
        Type: signed
        
        Value is in tenth of degrees Celsius, So range is really: 15.0 - 30.0 °C
    -->
    <HReg Addr="6131" Name="Postheater.setpoint" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        RHT (humidity) sensor mode
        
        0: Off
        1: On
        
        Default: 0
    -->
    <HReg Addr="6140" Name="RHT.humidity.sensor.mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        RHT (humidity) sensor sensitivity
        
        Range: [-2..2]
        Default: 0
        Step size: 1
        Type: signed
    -->
    <HReg Addr="6141" Name="RHT.humidity.sensor.sensitivity" Rd="1" Wr="1" Min="-2" Max="2" Presentation="signed"/>

    <!--
        CO2 sensor mode
        
        0: OFF
        1: ON
        Type: unsigned
        
        Default: OFF
    -->
    <HReg Addr="6150" Name="CO2.sensor.mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 1 low level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 400
    -->
    <HReg Addr="6151" Name="CO2.sensor.1.low.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 1 high level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 2000
    -->
    <HReg Addr="6152" Name="CO2.sensor.1.high.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 2 low level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 400
    -->
    <HReg Addr="6153" Name="CO2.sensor.2.low.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 2 high level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 2000
    -->
    <HReg Addr="6154" Name="CO2.sensor.2.high.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 3 low level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 400
    -->
    <HReg Addr="6155" Name="CO2.sensor.3.low.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 3 high level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 2000
    -->
    <HReg Addr="6156" Name="CO2.sensor.3.high.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 4 low level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 400
    -->
    <HReg Addr="6157" Name="CO2.sensor.4.low.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CO2 sensor 4 high level
        
        Minimum: 400
        Maximum: 2000
        Type: unsigned
        
        Default: 2000
    -->
    <HReg Addr="6158" Name="CO2.sensor.4.high.level" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Signal output
        
        0: Off
        1: Filter warning
        2: Error status
        3: Filter warning and error status
        Type: unsigned
        
        Default: Off
    -->
    <HReg Addr="6170" Name="Signal.output" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        CV (Central Heating) - HRA (Heat Recovery Appliance)
        
        0: Disabled
        1: Enabled
        Type: unsigned
        
        Default: Off
        If a CV exhaust is connected to the exhaust channel of the HRA this parameter must be set to enabled.
    -->
    <HReg Addr="6171" Name="Central.Heating.Heat.Recovery.Appliance" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Switch type Input 1
        
        0: Normally open
        1: Normally closed
        Type: unsigned
        
        Default: Normally open
    -->
    <HReg Addr="6200" Name="Switch.type.Input.1" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital Input 1 function
        
        0: Off
        1: On
        2: On if conditions bypass open are satisfied
        3: Bypass control
        4: External valve control
        Type: unsigned
        
        3: Bypass opens if input is set
        4: External valve opens if input is set
    -->
    <HReg Addr="6201" Name="Digital.Input.1.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital input 1 supply fan function
        
        0: Fan off
        1: Absolute minimum flow setting
        2: Flow set to predefined value mode 1
        3: Flow set to predefined value mode 2
        4: Flow set to predefined value mode 3
        5: According to position switch setting
        6: Absolute maximum flow setting
        7: Fan setting unchanged
        Type: unsigned
        (Flow setting depends on type of HRA)
    -->
    <HReg Addr="6202" Name="Digital.input.1.supply.fan.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital Input 1 exhaust fan function
        
        0: Fan off
        1: Absolute minimum flow setting
        2: Flow set to predefined value mode 1
        3: Flow set to predefined value mode 2
        4: Flow set to predefined value mode 3
        5: According to position switch setting
        6: Absolute maximum flow setting
        7: Fan setting unchanged
        Type: unsigned
        (Flow setting depends on type of HRA)
    -->
    <HReg Addr="6203" Name="Digital.Input.1.exhaust.fan.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Switch type Input 2
        
        0: Normally open
        1: Normally closed
        Type: unsigned
        
        Default: Normally open
    -->
    <HReg Addr="6210" Name="Switch.type.Input.2" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital input 2 function
        
        0: Off
        1: On
        2: On if conditions bypass open are satisfied
        3: Bypass control
        4: External valve control
        Type: unsigned
        
        3: Bypass opens if input is set
        4: External valve opens if input is set
    -->
    <HReg Addr="6211" Name="Digital.input.2.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital input 2 supply fan function
        
        0: Fan off
        1: Absolute minimum flow setting
        2: Fow set to predefined value mode 1
        3: Flow set to predefined value mode 2
        4: Flow set to predefined value mode 3
        5: According to position switch setting
        6: Absolusetting
        7: Fan setting unchanged
        Type: unsigned
        (Flow setting depends on type of HRA)
    -->
    <HReg Addr="6212" Name="Digital.input.2.supply.fan.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Digital input 2 exhaust fan function
        
        0: Fan off
        1: Absolute minimum flow setting
        2: Fow set to predefined value mode 1
        3: Flow set to predefined value mode 2
        4: Flow set to predefined value mode 3
        5: According to position switch setting
        6: Absolusetting
        7: Fan setting unchanged
        Type: unsigned
        (Flow setting depends on type of HRA)
    -->
    <HReg Addr="6213" Name="Digital.input.2.exhaust.fan.function" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue Input 1 Mode
        
        0: Off
        1: On
        Type: unsigned
        
        Default: Off
    -->
    <HReg Addr="6220" Name="Analogue.Input.1.Mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue input 1 Vmin
        
        Range: 0 - 100
        Default: 0
        Stepsize: 5
        Type: unsigned
        
        Value is in tenth of Volt, So range is really: 0.0 - 10.0 V
    -->
    <HReg Addr="6221" Name="Analogue.input.1.Vmin" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue input 1 Vmax
        
        Range: 0 - 100
        Default: 100
        Stepsize: 5
        Type: unsigned
        
        Value is in tenth of Volt, So range is really: 0.0 - 10.0 V
    -->
    <HReg Addr="6222" Name="Analogue.input.1.Vmax" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue input 2 Mode
        
        0: Off
        1: On
        Type: unsigned
        
        Default: Off
    -->
    <HReg Addr="6230" Name="Analogue.input.2.Mode" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue input 2 Vmin
        
        Range: 0 - 100
        Default: 0
        Stepsize: 5
        Type: unsigned
        
        Value is in tenth of Volt, So range is really: 0.0 - 10.0 V
    -->
    <HReg Addr="6231" Name="Analogue.input.2.Vmin" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Analogue input 2 Vmax
        
        Range: 0 - 100
        Default: 100
        Stepsize: 5
        Type: unsigned
        
        Value is in tenth of Volt, So range is really: 0.0 - 10.0 V
    -->
    <HReg Addr="6232" Name="Analogue.input.2.Vmax" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Geo-heat exchanger
        
        0: Exchanger OFF
        1: Exchanger ON
        Default: 0
        Type: unsigned
        
        Only possible with Plus pcb UWA2-B
    -->
    <HReg Addr="6240" Name="Geo.heat.exchanger" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Minimum temperature geo-heat exchanger
        
        Minimum: 0
        Maximum: 100
        Default: 50
        Type: signed
        
        Value is in tenths of degrees Celsius. Range is : 0.0 - 10.0 °C
    -->
    <HReg Addr="6241" Name="Minimum.temperature.geo.heat.exchanger" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Maximum temperature geo-heat exchanger
        
        Minimum: 150
        Maximum: 400
        Default: 250
        Type: signed
        
        Value is in tenths of degrees Celsius. Range is: 15.0 - 40.0 °C
    -->
    <HReg Addr="6242" Name="Maximum.temperature.geo.heat.exchanger" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Default geo heat exchanger Valve Position
        
        0: Closed
        1: Open
        Type: unsigned
        
        This is the position of the valve when output is 0V
    -->
    <HReg Addr="6243" Name="Default.geo.heat.exchanger.Valve.Position" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Geo heat exchanger valve output
        
        0: Analogue Output 1
        1: Analogue Output 2
        2: Relay Output 1
        3: Relay Output 2
        Type: unsigned
    -->
    <HReg Addr="6244" Name="Geo.heat.exchanger.valve.output" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Language
        
        0: English
        1: Dutch
        Type: unsigned
    -->
    <HReg Addr="6900" Name="Language" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Date format
        
        0: dd-mm-yyyy
        1:mm-dd-yyyy
        Type: unsigned
    -->
    <HReg Addr="6901" Name="Date.format" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Time notation
        
        0: 12 hour
        1: 24 hour
        Type: unsigned
    -->
    <HReg Addr="6902" Name="Time.notation" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Date Month Day
        
        MSB: Month
        LSB: Day
    -->
    <HReg Addr="6903" Name="Date.Month.Day" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Date Year
        
        Year
    -->
    <HReg Addr="6904" Name="Date.Year" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Time
        
        MSB: Hours
        LSB: Minutes
    -->
    <HReg Addr="6905" Name="Time" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        DateTime Rest
        
        MSB: Day of Week
        LSB: Seconds
    -->
    <HReg Addr="6906" Name="DateTime.Rest" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Modbus interface type
        
        0 = Modbus internal
        1 = Modbus external connect
        2 = External customer
        Type: unsigned
    -->
    <HReg Addr="7990" Name="Modbus.interface.type" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Modbus slave address
        
        Minimum: 1
        Maximum: 247
        Type: unsigned
        
        Default: 20
    -->
    <HReg Addr="7991" Name="Modbus.slave.address" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Modbus speed
        
        0 = 1200 Baud;
        1 = 2400 Baud;
        2 = 4800 Baud;
        3 = 9600 Baud;
        4 = 19k2 Baud;
        5 = 38k4 Baud;
        6 = 56k Baud;
        7 = 115k Baud
        Type: unsigned
    -->
    <HReg Addr="7992" Name="Modbus.speed" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Modbus control switched on
        
        0: Modbus control switched off
        1: Modbus control switch
        2: Modbus control flow rate value
        
        Standard: 0
        The reading value is the last accepted value
    -->
    <HReg Addr="8000" Name="Modbus.control.switched.on" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Request change in switch position
        
        0: Holiday
        1: Low
        2: Normal
        3: High
        
        Set the desired air flow rate;
        Set Modbus control setting to 1 (switch)
        The reading value is the last accepted value
    -->
    <HReg Addr="8001" Name="Request.change.in.switch.position" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Desired flow rate setting
        
        Typ HRA: 0;min. flow - max. flow
        
        Set desired Modbus flow rate
        Modbus control must be set to 2 (flow rate value)
    -->
    <HReg Addr="8002" Name="Desired.flow.rate.setting" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Request Standby
        
        Write:
        
        0: No action
        1: Set appliance in standby
        2: Set appliance in normal mode
        
        Read:
        
        0: Appliance not in standby
        1: Appliance in standby mode
        
        Default: 0
        
        The read back value is the actual standby status of the appliance.
        Beware that the appliance can also be set or reset from standby mode through other interfaces.
    -->
    <HReg Addr="8003" Name="Request.Standby" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Reset filter warning
        
        Write:
        
        0: No reset
        1: Reset filter warning
        
        Read:
        
        0: No action
        1:Filter warning action executed
        0xFF: Action failed. Reset cannot be carried out
        
        Reset filter warning Once the value has been read out and this is not equal to "0" this will be reset to "0".
    -->
    <HReg Addr="8010" Name="Reset.filter.warning" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>

    <!--
        Appliance reset
        
        Write:
        
        0: No reset
        1: Appliance reset
        
        Read:
        
        0: No reset
        1: Appliance reset carried out
        0xFF: Action failed; reset cannot be carried out
        
        Appliance reset Once the value has been read out and this is not equal to "0" this will be reset to "0".
    -->
    <HReg Addr="8011" Name="Appliance.reset" Rd="1" Wr="1" Min="0" Max="65535" Presentation="unsigned"/>


  </HoldingRegisters>

  <InputRegisters>

    <!--
        Software version number Base Module UWA2-B
        
        Type and major version number
        
        Type in ASCII (e.g. "S1"), major nr in byte range[0..9]
    -->
    <IReg Addr="4000" Name="Software.version.UWA2B.Major" Presentation="unsigned"/>

    <!--
        Software version number Base Module UWA2-B
        
        Minor and fix version number
        
        Numbers in bytes, range [00..99]
    -->
    <IReg Addr="4001" Name="Software.version.UWA2B.Minor" Presentation="unsigned"/>

    <!--
        Software version number Base Module UWA2-B
        
        Build number number
        
        Build number in word, [0000..9999]
    -->
    <IReg Addr="4002" Name="Software.version.UWA2B.Build" Presentation="unsigned"/>

    <!--
        Hardware version number Base Module UWA2-B (e.g. "H1.1")
        
        Major and minor
        
        Numbers in bytes range [00..99]. High byte =major, low byte = minor
    -->
    <IReg Addr="4003" Name="Hardware.version" Presentation="unsigned"/>

    <!--
        Appliance Type
        
        Range: 0 – 65535
        Type: Unsigned
        
        Device type is an internal number representing the functional appliance. It has no external value.
    -->
    <IReg Addr="4004" Name="Appliance.Type" Presentation="unsigned"/>

    <!--
        Dipswitch value
        
        Range: 0 – 63
        Type: Unsigned
        
        The dipswitch is used to select the type and subtype of HRA (Heat Recovery Appliance).
    -->
    <IReg Addr="4005" Name="Dipswitch.value" Presentation="unsigned"/>

    <!--
        Serial number (for example 123456789012)
        
        Serial.number.1 - Serial number digits [0–3]
        Serial.number.2 - Serial number digits [4–7]
        Serial.number.3 - Serial number digits [8–11]
        
        Numbers in BCD, range [0..9]
    -->
    <IReg Addr="4010" Name="Serial.number.1" Presentation="unsigned"/>
    <IReg Addr="4011" Name="Serial.number.2" Presentation="unsigned"/>
    <IReg Addr="4012" Name="Serial.number.3" Presentation="unsigned"/>

    <!--
        HRA (Heat Recovery Appliance) Active Function
        
        0: Standby
        1: Bootloader
        2: Non Blocking Error
        3: Blocking Error
        4: Manual
        5: Holiday
        6: Night Ventilation
        7: Party
        8: Bypass Boost
        9: Normal Boost
        10: Auto CO2
        11: Auto eBus
        12: Auto Modbus
        13: Auto LAN/WLAN Portal
        14: Auto LAN/WLAN Local
    -->
    <IReg Addr="4020" Name="HRA.Active.Function" Presentation="unsigned"/>

    <!--
        Fan control type
        
        0: Initializing
        1: Constant flow
        2: Constant PWM
        3: Off
        4: Error
        5: MassBalance
        6: Standby
        
        This value indicates the type of method used to control the fans in the HRA (Heat Recovery Appliance).
    -->
    <IReg Addr="4021" Name="Fan.control.type" Presentation="unsigned"/>

    <!--
        Ventilation mode
        
        0: Holiday
        1: Low
        2: Normal
        3: High
        4: Auto
    -->
    <IReg Addr="4022" Name="Ventilation.mode" Presentation="unsigned"/>

    <!--
        Current supply pressure
        
        Range: 0-5000
        Type: Signed
        
        The value is a value in tenths of Pascal; it therefore has to be divided by 10 in order to get the pressure in Pascal.
    -->
    <IReg Addr="4023" Name="Current.supply.pressure" Presentation="unsigned"/>

    <!--
        Current exhaust pressure
        
        Range: 0-5000
        Type: Signed
        
        The value is a value in tenths of Pascal; it therefore has to be divided by 10 in order to get the pressure in Pascal.
    -->
    <IReg Addr="4024" Name="Current.exhaust.pressure" Presentation="unsigned"/>

    <!--
        Fan Inlet Status
        
        2: No Communication
        3: Idle
        4: Running
        5: Blocked
        6: Fan Error
    -->
    <IReg Addr="4030" Name="Fan.Inlet.Status" Presentation="unsigned"/>

    <!--
        Setpoint supply air
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the desired value for the relevant fan. [m3/h]
    -->
    <IReg Addr="4031" Name="Setpoint.supply.air" Presentation="unsigned"/>

    <!--
        Current value of supply air
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the value that is measured or calculated for the relevant fan. [m3/h]
    -->
    <IReg Addr="4032" Name="Current.value.of.supply.air" Presentation="unsigned"/>

    <!--
        MassFlow inlet, actual value
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the value measured or calculated for the corresponding fan. (kg/h)
    -->
    <IReg Addr="4033" Name="MassFlow.inlet.actual.value" Presentation="unsigned"/>

    <!--
        Speed supply fan
        
        Range: 0 – 65535
        Type: Unsigned
        
        Inlet fan speed in RPM
    -->
    <IReg Addr="4034" Name="Speed.supply.fan" Presentation="unsigned"/>

    <!--
        Speed inlet anemometer
        
        Range: 0 – 65535
        Type: Unsigned
        
        Inlet anemometer speed in RPM
    -->
    <IReg Addr="4035" Name="Speed.inlet.anemometer" Presentation="unsigned"/>

    <!--
        Temperature sensor supply fan
        
        Range: -32768 – 32767
        Type: Signed
        
        The effective range is much smaller. The value is a value in tenths of degrees;
        it therefore has to be divided by 10 in order to get the temperature in degrees Celsius.
    -->
    <IReg Addr="4036" Name="Temperature.sensor.supply.fan" Presentation="unsigned"/>

    <!--
        Fan inlet sensor rel. humidity
        
        Range: 0-1000
        Type: Unsigned
        
        Relative humidity in tenth of percentage. The value is in percentage when divided by ten.
    -->
    <IReg Addr="4037" Name="Fan.inlet.sensor.rel.humidity" Presentation="unsigned"/>

    <!--
        Fan exhaust Status
        
        2: No Communication
        3: Idle
        4: Running
        5: Blocked
        6: Fan Error
    -->
    <IReg Addr="4040" Name="Fan.exhaust.Status" Presentation="unsigned"/>

    <!--
        Setpoint flow exhaust air
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the desired value for the relevant fan. [m3/h]
    -->
    <IReg Addr="4041" Name="Setpoint.flow.exhaust.air" Presentation="unsigned"/>

    <!--
        current value flow exhaust air
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the value that is measured or calculated for the relevant fan. [m3/h]
    -->
    <IReg Addr="4042" Name="current.value.flow.exhaust.air" Presentation="unsigned"/>

    <!--
        MassFlow exhaust, actual value
        
        Range: 0 – 65535
        Type: Unsigned
        
        This is the value measured or calculated for the corresponding fan. (kg/h)
    -->
    <IReg Addr="4043" Name="MassFlow.exhaust.actual.value" Presentation="unsigned"/>

    <!--
        Speed exhaust fan
        
        Exhaust fan speed in RPM (0-65535)
    -->
    <IReg Addr="4044" Name="Speed.exhaust.fan" Presentation="unsigned"/>

    <!--
        Speed exhaust anemometer
        
        Range: 0 – 65535
        Type: Unsigned
        
        Exhaust anemometer speed in RPM
    -->
    <IReg Addr="4045" Name="Speed.exhaust.anemometer" Presentation="unsigned"/>

    <!--
        Temperature sensor exhaust fan
        
        Range: -32768 – 32767
        Type: Signed
        
        The effective range is much smaller. The value is a value in tenths of degrees;
        it therefore has to be divided by 10 in order to get the temperature in degrees Celsius.
    -->
    <IReg Addr="4046" Name="Temperature.sensor.exhaust.fan" Presentation="unsigned"/>

    <!--
        Fan exhaust sensor rel. humidity
        
        Range: 0-1000
        Type: Unsigned
        
        Relative humidity in tenth of percentage. The value is in percentage when divided by ten.
    -->
    <IReg Addr="4047" Name="Fan.exhaust.sensor.rel.humidity" Presentation="unsigned"/>

    <!--
        Bypass status
        
        0: initialize
        1: open
        2: close
        3: open
        4: closed
    -->
    <IReg Addr="4050" Name="Bypass.status" Presentation="unsigned"/>

    <!--
        Bypass Step Position
        
        Range: 0 – 0xFFFF
        
        Gives the position relative to point zero
    -->
    <IReg Addr="4051" Name="Bypass.Step.Position" Presentation="unsigned"/>

    <!--
        Status preheater
        
        0: Initialize
        1: Inactive
        2: Active
        3: Test mode
    -->
    <IReg Addr="4060" Name="Status.preheater" Presentation="unsigned"/>

    <!--
        Capacity of preheater
        
        Range: 0 - 100
        Type: Unsigned
        
        The capacity is a percentage of the maximum capacity.
    -->
    <IReg Addr="4061" Name="Capacity.of.preheater" Presentation="unsigned"/>

    <!--
        Frost status
        
        0: NotInitialized
        1: PowerUp Delay
        2: No Frost
        3: NoFrost Delay
        4: FrostControl Start Delay
        5: Wait For Icing
        6: Ice Detected Delay
        7: Heating
        8: Wait for Free Heater
        9: FanControl Start Delay
        10: FanControl Wait Delay
        11: FanControl
        12: Fan Off Delay
        13: Fan Off
        14: Fan Restarting
        15: Error
        16: Test Mode
        
        Depending on the type of HRA (Heat Recovery Appliance) some states are supported or not.
    -->
    <IReg Addr="4070" Name="Frost.status" Presentation="unsigned"/>

    <!--
        Frost heaterpower
        
        Range: [0..100]
        Type: Unsigned
        
        Heater output in %
    -->
    <IReg Addr="4071" Name="Frost.heaterpower" Presentation="unsigned"/>

    <!--
        Fan Frost Reduction
        
        Range: [0..100]
        Type: Unsigned
        
        This is the percentage with which the fan is reduced, 0% means no reduction. 100% means maximum reduction
    -->
    <IReg Addr="4072" Name="Fan.Frost.Reduction" Presentation="unsigned"/>

    <!--
        Flow switch position
        
        Range: 0-3
        Type: Unsigned
        
        0: Holiday
        1: Low
        2: Normal
        3: High
        255: Invalid position
        
        The flow switch is a mechanical switch used to select a predefined flow. If multiple switches are used it is
        possible that more than one contact is closed, meaning invalid position cannot be detected.
    -->
    <IReg Addr="4080" Name="Flow.switch.position" Presentation="unsigned"/>

    <!--
        NTC1 temperature
        
        Range: - 32768 – 32767
        Type: Signed
        
        The effective range is much smaller. The value is a value in tenths of degrees;
        it therefore has to be divided by 10 in order to get the temperature in degrees Celsius.
    -->
    <IReg Addr="4081" Name="NTC1.temperature" Presentation="unsigned"/>

    <!--
        NTC2 temperature
        
        Range: - 32768 – 32767
        Type: Signed
        
        The effective range is much smaller. The value is a value in tenths of degrees;
        it therefore has to be divided by 10 in order to get the temperature in degrees Celsius.
    -->
    <IReg Addr="4082" Name="NTC2.temperature" Presentation="unsigned"/>

    <!--
        RHT Sensor Humidity
        
        Range: 0-1000
        Type: Unsigned
        
        Relative humidity in tenth of percentage. The value is in percentage when divided by ten.
    -->
    <IReg Addr="4083" Name="RHT.Sensor.Humidity" Presentation="unsigned"/>

    <!--
        Signal output
        
        0: 0V
        1: 24V
    -->
    <IReg Addr="4090" Name="Signal.2.output" Presentation="unsigned"/>

    <!--
        Status filter
        
        0: Not dirty
        1: Dirty
    -->
    <IReg Addr="4100" Name="Status.filter" Presentation="unsigned"/>

    <!--
        eBus power status
        
        0: Power Up
        1: Initialize Power
        2: Power Off
        3: Power On
        4: Wait For Power Off
        5: Slave Power Off
    -->
    <IReg Addr="4101" Name="eBus.power.status" Presentation="unsigned"/>

    <!--
        Current time
        
        Time
        
        Time in byte format high byte = hours, low byte= minutes
    -->
    <IReg Addr="4110" Name="Current.time" Presentation="unsigned"/>

    <!--
        Current date
        
        Date in byte format high byte = days,
        low byte =years in byte format, only decennia
    -->
    <IReg Addr="4111" Name="Current.date.h" Presentation="unsigned"/>
    <IReg Addr="4112" Name="Current.date.l" Presentation="unsigned"/>

    <!--
        Operating time
        
        Range [0..4294967295]
        Type: Unsigned
        
        Operating time in hours
    -->
    <IReg Addr="4113" Name="Operating.time.h" Presentation="unsigned"/>
    <IReg Addr="4114" Name="Operating.time.l" Presentation="unsigned"/>

    <!--
        Filters used in hours
        
        Range: 0-65535
        Type: Unsigned
        
        Number of hours the appliance is on since last filter reset.
    -->
    <IReg Addr="4115" Name="Filters.used.in.hours" Presentation="unsigned"/>

    <!--
        Filters used in m3/h
        
        Range [0..4294967295]
        Type: Unsigned
        
        Amount of flow in units of m3/h since last filter reset
    -->
    <IReg Addr="4116" Name="Filters.used.in.m3h.h" Presentation="unsigned"/>
    <IReg Addr="4117" Name="Filters.used.in.m3h.l" Presentation="unsigned"/>

    <!--
        Total flow in m3/h
        
        Range: [0..4294967295]
        Type: Unsigned
        
        Amount of flow in units of m3/h since putting into use.
    -->
    <IReg Addr="4118" Name="Total.flow.in.m3h.h" Presentation="unsigned"/>
    <IReg Addr="4119" Name="Total.flow.in.m3h.l" Presentation="unsigned"/>

    <!--
        Geo heat exchanger Status
        
        0: Open low
        1: Closed
        2: Open high
        
        Extension module if function is supported.
    -->
    <IReg Addr="4150" Name="Geo.heat.exchanger.Status" Presentation="unsigned"/>

    <!--
        CO2 sensor 1 status
        
        0: Error
        1: Not Initialized
        2: Idle
        3: Warming Up
        4: Running
        5: Calibrating
        6: Self Test
    -->
    <IReg Addr="4200" Name="CO2.sensor.1.status" Presentation="unsigned"/>

    <!--
        Value CO2 sensor 1
        
        Range: 0-65535
        Type: Unsigned
    -->
    <IReg Addr="4201" Name="Value.CO2.sensor.1" Presentation="unsigned"/>

    <!--
        CO2 sensor 2 status
        
        0: Error
        1: Not Initialized
        2: Idle
        3: Warming Up
        4: Running
        5: Calibrating
        6: Self Test
    -->
    <IReg Addr="4202" Name="CO2.sensor.2.status" Presentation="unsigned"/>

    <!--
        Value CO2 sensor 2
        
        Range: 0-65535
        type: Unsigned
    -->
    <IReg Addr="4203" Name="Value.CO2.sensor.2" Presentation="unsigned"/>

    <!--
        CO2 sensor 3 status
        
        0: Error
        1: Not Initialized
        2: Idle
        3: Warming Up
        4: Running
        5: Calibrating
        6: Self Test
    -->
    <IReg Addr="4204" Name="CO2.sensor.3.status" Presentation="unsigned"/>

    <!--
        Value CO2 sensor 3
        
        Range: 0-65535
        Type: Unsigned
    -->
    <IReg Addr="4205" Name="Value.CO2.sensor.3" Presentation="unsigned"/>

    <!--
        CO2 sensor 4 status
        
        0: Error
        1: Not Initialized
        2: Idle
        3: Warming Up
        4: Running
        5: Calibrating
        6: Self Test
    -->
    <IReg Addr="4206" Name="CO2.sensor.4.status" Presentation="unsigned"/>

    <!--
        Value CO2 sensor 4
        
        Range: 0-65535
        Type: Unsigned
    -->
    <IReg Addr="4207" Name="Value.CO2.sensor.4" Presentation="unsigned"/>

    <!--
        Software version number UIF Module (e.g. "S1.01.03.0001")
        
        Type and major version number
        
        Type in ASCII (e.g. "S1"), major nr in byte, range[0..9]
    -->
    <IReg Addr="4400" Name="Software.version.UIFModule.Major" Presentation="unsigned"/>

    <!--
        Software version number UIF Module (e.g. "S1.01.03.0001")
        
        Minor and fix version number
        
        Numbers in bytes, range [00..99]
    -->
    <IReg Addr="4401" Name="Software.version.UIFModule.Minor" Presentation="unsigned"/>

    <!--
        Software version number UIF Module (e.g. "S1.01.03.0001")
        
        Build number number
        
        Build number in word, [0000..9999]
    -->
    <IReg Addr="4402" Name="Software.version.UIFModule.Build" Presentation="unsigned"/>

    <!--
        Hardware version number UIF Module (e.g. "H1.1")
        
        Major and minor in BCD format
        
        Numbers in BCD, range [00..99]
    -->
    <IReg Addr="4403" Name="Hardware.version.UIFModule" Presentation="unsigned"/>

    <!--
        Device Type
        
        Range: [0..65535]
        Type: Unsigned
        
        Device type is an internal number representing the type of device.
    -->
    <IReg Addr="4404" Name="Device.Type.UIFModule" Presentation="unsigned"/>

    <!--
        Dipswitch value
        
        Range: 0 – 999
        Type: Unsigned
        
        The dipswitch is used to select the type and subtype of HRA (Heat Recovery Appliance).
    -->
    <IReg Addr="4405" Name="Dipswitch.value.UIFModule" Presentation="unsigned"/>

    <!--
        Language Data version UIF Module (e.g. "S1.01.03.0001")
        
        Type and major version number
        
        Type in ASCII (e.g. "S1"), major nr in byte, range[0..9]
    -->
    <IReg Addr="4410" Name="Language.Data.version.UIFModule.Major" Presentation="unsigned"/>

    <!--
        Language Data version UIF Module (e.g. "S1.01.03.0001")
        
        Minor and fix version number
        
        Numbers in bytes, range [00..99]
    -->
    <IReg Addr="4411" Name="Language.Data.version.UIFModule.Minor" Presentation="unsigned"/>

    <!--
        Language Data version UIF Module (e.g. "S1.01.03.0001")
        
        Build number number
        
        Build number in word, [0000..9999]
    -->
    <IReg Addr="4412" Name="Language.Data.version.UIFModule.Build" Presentation="unsigned"/>

    <!--
        Software version nr UIF Module (e.g. "S1.01.03.0001")
        
        Type and major version number
        
        Type in ASCII (e.g. "S1"), major nr in byte, range [0..9]
    -->
    <IReg Addr="4413" Name="Software.version.nr.UIFModule.Major" Presentation="unsigned"/>

    <!--
        Software version nr UIF Module (e.g. "S1.01.03.0001")
        
        Minor and fix version number
        
        Numbers in bytes, range [00..99]
    -->
    <IReg Addr="4414" Name="Software.version.nr.UIFModule.Minor" Presentation="unsigned"/>

    <!--
        Software version nr UIF Module (e.g. "S1.01.03.0001")
        
        Build number number
        
        Build number in word, [0000..9999]
    -->
    <IReg Addr="4415" Name="Software.version.nr.UIFModule.Build" Presentation="unsigned"/>

    <!--
        Local UIF Switch
        
        Range: 0-65535
        Type: Unsigned
        
        Currently range: 0 – 3, value set by switch on the display.
    -->
    <IReg Addr="4420" Name="Local.UIF.Switch" Presentation="unsigned"/>

    <!--
        Local Button value
    -->
    <IReg Addr="4421" Name="Local.Button.value" Presentation="unsigned"/>

    <!--
        Software version Extension Module UWA2-E (e.g. "S1.01.03.0001")
        
        Type and major version number
        
        Type in ASCII (e.g. "S1"), major nr. in byte, range [0..9]
    -->
    <IReg Addr="4500" Name="Software.version.UWA2E.Major" Presentation="unsigned"/>

    <!--
        Software version Extension Module UWA2-E (e.g. "S1.01.03.0001")
        
        Minor and fix version number
        
        Numbers in bytes, range [00..99]
    -->
    <IReg Addr="4501" Name="Software.version.UWA2E.Minor" Presentation="unsigned"/>

    <!--
        Software version Extension Module UWA2-E (e.g. "S1.01.03.0001")
        
        Build number number
        
        Build number in word, [0000..9999]
    -->
    <IReg Addr="4502" Name="Software.version.UWA2E.Build" Presentation="unsigned"/>

    <!--
        Hardware version nr Extension Module UWA2-E (e.g. "H1.1")
        
        Major and minor in BCD format
        
        Numbers in bytes, range [00..99]
    -->
    <!-- <IReg Addr="4503" Name="Hardware.version.UWA2E" Presentation="unsigned"/> -->

    <!--
        Device Type
        
        Range: [0..65535]
        Type: Unsigned
        
        Device type is an internal number representing the type of device.
    -->
    <IReg Addr="4504" Name="Device.Type.UWA2E" Presentation="unsigned"/>

    <!--
        Dipswitch value
        
        Range: 0 – 63
        Type: Unsigned
        
        The dipswitch is used to select the type and subtype of HRA (Heat Recovery Appliance).
    -->
    <IReg Addr="4505" Name="Dipswitch.value.UWA2E" Presentation="unsigned"/>

    <!--
        Temperature NTC Extension
        
        Range: -32768 – 32767
        Type: Signed
        
        The effective range is much smaller. The value is a value in tenth of degrees,
        so it should be divided by 10 to get the temperature in degrees Celsius.
    -->
    <IReg Addr="4520" Name="Temperature.NTC.Extension" Presentation="unsigned"/>

    <!--
        Extension contact 1
        
        0: Contact 1 open
        1: Contact 1 closed
        
        Extension module UWA2-E
    -->
    <IReg Addr="4521" Name="Extension.contact.1" Presentation="unsigned"/>

    <!--
        Extension contact 2
        
        0: Contact 1 open
        1: Contact 1 closed
        
        Extension module UWA2-E
    -->
    <IReg Addr="4522" Name="Extension.contact.2" Presentation="unsigned"/>

    <!--
        Extension Analogue Input 1
        
        Range 0 – 100; Corresponds with: 0.0 – 10.0 V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4523" Name="Extension.Analogue.Input.1" Presentation="unsigned"/>

    <!--
        Extension Analogue Input 2
        
        Range 0 – 100; Corresponds with: 0.0 – 10.0 V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4524" Name="Extension.Analogue.Input.2" Presentation="unsigned"/>

    <!--
        Extension Relay output 1
        
        0: 0V;
        1: 24V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4541" Name="Extension.Relay.output.1" Presentation="unsigned"/>

    <!--
        Extension Relay output 2
        
        0: 0V;
        1: 24V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4542" Name="Extension.Relay.output.2" Presentation="unsigned"/>

    <!--
        Extension Analogue Output 1
        
        Range 0 – 100; Corresponds with: 0.0 – 10.0V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4543" Name="Extension.Analogue.Output.1" Presentation="unsigned"/>

    <!--
        Extension Analogue Output 2
        
        Range 0 – 100; Corresponds with: 0.0 – 10.0V
        
        Extension module UWA2-E
    -->
    <IReg Addr="4544" Name="Extension.Analogue.Output.2" Presentation="unsigned"/>

  </InputRegisters>
  
  <Coils>

  </Coils>
  
  <DiscreteInputs>

  </DiscreteInputs>


</Device>